
Redmine - Defect #10929

Parsing incoming e-mails from users with Outlook

2012-05-15 16:47 - Jeroen Voortman

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

In our Redmine users are allowed to create and respond to issues by e-mail. It appears that when our users use Outlook to respond

to issues, the parsing of the e-mail fails. It falls back to pure plain text and doesn't even break the parsing at the point which I've set

in the administration.

This forces us to re-add all replies the users using Outlook make by hand

History

#1 - 2012-05-15 17:30 - Etienne Massip

- Category set to Email receiving

This requires more details (see SubmittingBugs) and if you can, an example would be very useful (including email headers ?).

#2 - 2013-04-30 10:36 - Jean-Baptiste Barth

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Cant reproduce

No details provided, I close the issue, please reopen if you have more informations.

#3 - 2013-12-18 01:05 - Jason  E

this issue seems to be related to #13209 and is a problem for us.

Using redmine 2.3.3 stable, submitting a html email from outlook results in a mess of unformatted text being dumped into redmine, making the feature

unusable.

#4 - 2014-06-11 15:21 - simon butcher

This seems to apply to Outlook 2011 for Mac, not the windows version. Hence possibly why Jean_Baptiste could not reproduce.

Outlook is inserting the following within <div><style/> </style> tags which redmine is treating as plain text, and it gets added to the issue above the

truncation line:

body {

font-family: Verdana, sans-serif;

font-size: 0.8em;

color:#484848;

}

h1, h2, h3 { font-family: "Trebuchet MS", Verdana, sans-serif; margin: 0px; }

h1 { font-size: 1.2em; }

h2, h3 { font-size: 1.1em; }

a, a:link, a:visited { color: #2A5685;}

a:hover, a:active { color: #c61a1a; }

a.wiki-anchor { display: none; }

fieldset.attachments {border-width: 1px 0 0 0;}

hr {

width: 100%;

height: 1px;

background: #ccc;

border: 0;

}

span.footer {

font-size: 0.8em;
font-style: italic;

}

#6 - 2014-06-11 16:35 - Toshi MARUYAMA

simon butcher wrote:

...

 Please try #16962 patch.
